document.write("<script src='/user/misc.js' type='text/javascript'></script>");
document.write("<script src='/user/splash.js' type='text/javascript'></script>");


var xmlhttp;

var doc;
var timeout;
var splashDiv;


var userID;
var username;
var old_name;
var password;
var type;


// Start by requesting the channel settings so we know which curves to ask for.
window.onload = initialize;


//////////////////////////////////////////////////////////////////////////////
function initialize()
{
	var args;
	
	xmlhttp = misc_getXmlRequestObject();
		
	if( window.dialogArguments) {
	
		args = window.dialogArguments;

		if( args["userID"] ) {
			userID = args["userID"];
		}else{
			userID = "unknown";
		}
				
		if( args["username"] ) {
			username = args["username"];

		}else{
			username = "unknown";
		}
		
		if( args["type"] ) {
			type = args["type"];

		}else{
			type = "unknown";
		}


	}else{
		username = "unknown";
		userID = "unknown";
		type = "unknown";
	}

//	alert("user " + username );	
	old_username = username; //save original name	
	
	document.getElementById('usernameInput').value = username;
	document.getElementById('passwordInput').value = "";		
	
	//only allow editting of the password for FTP usernames
	if( (type == "ftp_user") || (type == "ftp_admin" )  ) {
		//document.getElementById('usernameInput').disabled=true;
		document.getElementById('butDelete').disabled=true;
		
		document.getElementById('usernameInput').readOnly=true;
	}
}


//////////////////////////////////////////////////////////////////////////
function saveUsername()
{

	username = document.getElementById('usernameInput').value;
	password = document.getElementById('passwordInput').value;		

	//create an XML document to send back settings
	xmlhttpDoc = misc_createXmlDoc();

	var rootElem = xmlhttpDoc.createElement("Settings");
	xmlhttpDoc.appendChild(rootElem);
	
	var usernamesElem = xmlhttpDoc.createElement("Username");
	rootElem.appendChild(usernamesElem);

	usernamesElem.setAttribute("type", type  );
	usernamesElem.setAttribute("current_username", old_username  );
	usernamesElem.setAttribute("new_username", username  );
	usernamesElem.setAttribute("password", password  );
	
	if (xmlhttp!=null){
		xmlhttp.open("POST","/admin/save_username",false);
		xmlhttp.setRequestHeader("If-Modified-Since", "Fri, 31 Dec 1999 23:59:59 GMT"); //forces new data

		timeout = setTimeout(xmlTimeout, 2000);
		xmlhttp.send(xmlhttpDoc);
		onSaveUsernameResponse();

	}else{
		alert("Your browser does not support XMLHTTP.");
	}

}

//////////////////////////////////////////////////////////////////////////////
function onSaveUsernameResponse()
{
	if(xmlhttp.readyState!=4){
		return;
	}
	
	if(xmlhttp.status == 0 ){
		//Ststus that seems to happen when we close a page with a pending request.
		return;
	}

	if(xmlhttp.status!=200){
		alert("Problem retrieving XML data");
		return;
	}
	
	clearXmlTimeout();
	
} //onSaveUsernameResponse




////////////////////////////////////////////////////////////////////////////////
//
function saveCloseUsername()
{
	username = document.getElementById('usernameInput').value;		
	if( username == "" ) {
		alert("Please enter a username.");
		return;
	}


	password = document.getElementById('passwordInput').value;	
	if( password == "" ) {
		alert("Please enter a password.");
		return;
	}

	saveUsername();
	window.close();
}


////////////////////////////////////////////////////////////////////////////////
//
function deleteUsername()
{
	//confirm deletion
	var msg;
	if ( type == "web_admin" ) {
		msg = "Deleting the administrator deletes all users. Delete all users?"
	}else{
		msg = "Confirm deletion";
	}
	
	if( confirm(msg) ){	
		//deleting is done by setting the password to an empty string and saving normally
		document.getElementById('passwordInput').value = "";	
		
		saveUsername();
		window.close();
	
	}
}


////////////////////////////////////////////////////////////////////////////////
//
function cancelUsername()
{
	window.close();
}

	
////////////////////////////////////////////////////////////////////////////////////////////
function xmlTimeout()
{
	splashDiv = getSplash("Mutli-Tracer Busy", "Please wait", document.getElementById('dialog') );
	splashDiv.id = "splash";
}

////////////////////////////////////////////////////////////////////////////////////////////
function clearXmlTimeout()
{
	clearTimeout(timeout);
	var splash = document.getElementById('splash') ;	
	if( splash != null ){
		document.getElementById('dialog').removeChild(splash);
	}
}
